Ubuntu – QtCreator error; can’t load library; ProjectExplorer(2.6.82)

12.10ubuntu-sdkubuntu-touch

I try to install the new Ubuntu Phone SDK using the instructions here:
http://developer.ubuntu.com/resources/app-developer-cookbook/mobile/currency-converter-phone-app/

Unfortunately when I run Qt-Creator it says a bunch of plugins failed to load:

Cannot load plugin because dependency failed to load: ProjectExplorer(2.6.82)
Reason: /usr/lib/x86_64-linux-gnu/qtcreator/plugins/QtProject/libProjectExplorer.so: Cannot load library /usr/lib/x86_64-linux-gnu/qtcreator/plugins/QtProject/libProjectExplorer.so: (libQt5Declarative.so.5: cannot open shared object file: No such file or directory)

Is there a missing step in the instructions, is something wrong with my setup, or is this not yet working in 12.10?

Best Answer

Run:

sudo apt-get install libbotan*
Related Question